// Idea here is, tool can declare its parameters;
// can call back to container for whatever...
// through container can access sim

import {
  TOOL_CLASSNAME,
} from './config.js';

export class Tool {
  container = undefined;
  sim = undefined;
  hidden = false;

  constructor() {
    const div = document.createElement('div');
    this.div = div;
    div.classList.add(TOOL_CLASSNAME)
  }

  setContainer(container) {
    this.container = container;
    this.sim = this.container.sim;
  }

  frame() {}
}
